package glavniPaket;
class Zaposleni
{
	String imeRadnika;
	public double plata;
	boolean bonus;
	double koef=200;
	Zaposleni(String ime,boolean bonus)
	{
		imeRadnika=ime;
		this.bonus=bonus;
	}
	public void izracunajPlatu(double brSati)
	{
		plata=brSati*koef;
	}
	String getName()
	{
		return imeRadnika;
	}
	double getPlata()
	{
		return plata;
	}
	boolean getBonus()
	{
		return bonus;
	}
	void setName(String ime)
	{
		this.imeRadnika=ime;
	}
	void setBonus(boolean bonus)
	{
		this.bonus=bonus;
	}
	void setPlata(double plata)
	{
		this.plata = plata; 
	}
	public String toString()
	{
		return imeRadnika + " : " + imeRadnika.getClass()+"\n+";
	}
}
class KancelarijskiRadnik extends Zaposleni
{
	String straniJezik;
	double koef=120;
	KancelarijskiRadnik(String ime,String jezik)
	{
		super(ime,false);
		this.imeRadnika=ime;
		this.straniJezik=jezik;
	}
	public void izracunajPlatu(int brSati)
	{
		super.izracunajPlatu(brSati);
		plata=plata*brSati*koef;
	}
	public String toString()
	{
		String b=(this.bonus)?" bonus":" nema bonus";
		return imeRadnika + " : ( "+plata+" , "+b+" )";
	}
	
}
class Menadzer extends Zaposleni
{
	boolean teren;
	double koef=150;
	Menadzer(String ime,boolean teren,boolean bonus)
	{
		super(ime,bonus);
		this.teren=teren;
	}
	public void izracunajPlatu(int brSati)
	{
		super.izracunajPlatu(brSati);
		if(teren)
		{
			if(bonus)
			{
				plata=plata*brSati*koef+1000+500;
			}
			else
			{
				plata=plata*brSati*koef+500;
			}
		}
		else
		{
			plata=plata*brSati*koef;
		}
	}
	public String toString()
	{
		String b=(this.bonus)?" DA":" NE";
		return imeRadnika + " : ( "+plata+" , "+b+" )";
	}
}
public class Testna 
{
	public static void main(String[] args) 
	{
		KancelarijskiRadnik r1 = new KancelarijskiRadnik("Marko","Nemacki");
		Menadzer r2 = new Menadzer("Nikola",false,false);
		r1.izracunajPlatu(20);
		r2.izracunajPlatu(15);
		if(r1.plata>r2.plata)
		{
			System.out.println(r1.imeRadnika+" ima vecu platu");
			System.out.println(r1.toString()+"\n");
		}
		else if(r1.plata<r2.plata)
		{
			System.out.println(r2.imeRadnika+" ima vecu platu");
			System.out.println(r2.toString()+"\n");
		}
		else
		{
			System.out.println("Imaju istu platu\n");
		}
		Zaposleni[] niz = new Zaposleni[4];
		niz[0]= new KancelarijskiRadnik("Misa","Francuski");
		niz[1]= new Menadzer("Sale",false,true);
		niz[2]= new KancelarijskiRadnik("Mimi","Engleski"); 
		niz[3]= new Menadzer("Miki",true,false);
		niz[0].izracunajPlatu(30); System.out.println(niz[0].toString());
		niz[1].izracunajPlatu(30); System.out.println(niz[1].toString());
		niz[2].izracunajPlatu(30); System.out.println(niz[2].toString());
		niz[3].izracunajPlatu(30); System.out.println(niz[3].toString());
		double uk=niz[0].plata+niz[1].plata+niz[2].plata+niz[3].plata+r1.plata+r2.plata;
		double k_uk=r1.plata+niz[0].plata+niz[2].plata;
		double m_uk=r2.plata+niz[1].plata+niz[3].plata;
		System.out.println("\nUkupno: "+ uk);
		System.out.println("Kancelarijski Radnici ukupno: "+k_uk);
		System.out.println("Menadzer ukupno: "+m_uk);
	}
}
